Subject: Re: bug#75615: 29.4; Corfu+SLY = segmentation fault

From: alexis purslane <[email-masked]>
Date: Fri, 17 Jan 2025 08:27:19 +0000

Beautiful, thank you. Since I already had Emacs 31 on the side for testing of scratch/igc, I'll just hop over to that being my main Emacs for a bit :)

— alexis (she/her)

Sent from Proton Mail Android

-------- Original Message --------
On 1/17/25 2:11 AM, Eli Zaretskii <[email-masked]> wrote:

>  > Date: Thu, 16 Jan 2025 21:39:59 +0000
>  > From:  Alexis Purslane via "Bug reports for GNU Emacs,
>  >  the Swiss army knife of text editors" <[email-masked]>
>  >
>  > Intermittantly, when writing Common Lisp code using Emacs with both SLY
>  >     and Corfu enabled, always when about to complete a function name,
>  >     Emacs will just segfault. It doesn't happen reproducibly enough to
>  >     show up in the amount of time I can make myself use emacs -Q with
>  >     just SLY and Corfu, since that's very painful for my wrists,
>  >     although I might spend some time trying to come up with a minimal
>  >     config that'll be ergonomic enough for me to do so. But it does
>  >     happen often enough that I can reproduce it while running Emacs from
>  >     inside GDB if that's needed. Here's the stack trace printed out when
>  >     it segfaulted last time:
>  >
>  >     Fatal error 11: Segmentation fault
>  > Backtrace:
>  > emacs-pgtk(emacs_backtrace+0x5a) [0x55935bfa3eaa]
>  > emacs-pgtk(terminate_due_to_signal+0x9f) [0x55935be73b17]
>  > emacs-pgtk(+0x128bb) [0x55935be748bb]
>  > emacs-pgtk(+0x2b5d04) [0x55935c117d04]
>  > /lib64/libc.so.6(+0x1a090) [0x7ff9dbec1090]
>  > emacs-pgtk(Fget+0xbb) [0x55935c0368db]
>  > emacs-pgtk(parse_modifiers+0x41) [0x55935bf88011]
>  > emacs-pgtk(+0x13cc88) [0x55935bf9ec88]
>  > emacs-pgtk(read_char+0x214a) [0x55935bf8d8ba]
>  
>  Thanks, I believe this is bug#71744, which was already solved for the
>  upcoming Emacs 30.  Upgrading to the latest pretest of Emacs 30 should
>  solve this.  You can find the latest pretest of Emacs 30 here:
>  
>    https://alpha.gnu.org/gnu/emacs/pretest/emacs-30.0.93.tar.xz
>  
>  Alternatively, installing the patch in
>  
>    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71744;att=5;msg=44;filename=0005-Don-t-ignore-Wclobbered-in-keyboard.c.patch
>  
>  should also solve this.
>